FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 10-18-2008, 01:56 AM
"Paulo Cavalcanti"
 
Default yafray "renamed" to yafaray - pick it ?

On Fri, Oct 17, 2008 at 12:22 PM, Jon Ciesla <limb@jcomserv.net> wrote:



>

>> On Mon, Oct 13, 2008 at 2:48 PM, KH KH <kwizart@gmail.com> wrote:

>>

>>> 2008/10/13 Jon Ciesla <limb@jcomserv.net>:

>>> >

>>> >> Hi!

>>> >>

>>> >> As announced at http://www.yafray.org, yafaray replaces YafRay

>>> 0.0.9.

>>> >> Thus I'm thinking of submitting yafray as dead.package in Rawhide.

>>> (1)

>>> >>

>>> >> On the other side, I'm not going to work on yafaray soon. So, if

>>> anyone

>>> >> wants to start working on it, feel free.

>>> >>

>>> >> Nicolas (kwizart)

>>> >>

>>> >>

>>> >> (1), There is no reason why yafray should stop working with the

>>> current

>>> >> blender releases. But there might be a problem when theses two are

>>> >> installed together. (until now, blender either dlopen library or

>>> call

>>> >> binary, from yafray).

>>> >> This has to be discussed in the yafaray review. So, please cc'ed me

>>> on

>>> >> the review, along with your favorite reviewer. (or ask me as a

>>> reviewer).

>>> >

>>> > I may just do that. *One thing though, am I blind or is there nor

>>> yafaray

>>> > tarball, and I'll have to work from a svn checkout? *(bleah)

>>> Yes, that's right.

>>> I think it will be appropriate to use a script to create one source

>>> tarball.

>>> Good luck !

>>>

>>>

>> I can give you an .src.rpm that builds fine for F8, including the QT

>> interface.

>>

>> http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc8.src.rpm

>

> Thanks, I'll have a look, and see if I can rip-of^H^H^H^H^H^Hborrow from

> this to solve some of the issues I've run into so far.



Hmm, on F-9:



scons: done building targets.

+ sed -i -es,/var/tmp/yafaray-0.1.0-buildroot,,g

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafaraycore.so

+ /usr/lib/rpm/find-debuginfo.sh /home/limb/rpmbuild/BUILD/yafaray

extracting debug info from

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafarayqt.so

extracting debug info from

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafaraycore.so

Failed to write file: invalid section alignment

error: Bad exit status from /var/tmp/rpm-tmp.80705 (%install)





The problem is that* check-buildroot is
accusing* "%{buildroot}"* in libyafaraycore.so

I just erased the reference to %{buildroot} from the library to
be able to get an rpm. F9 seems to have a more strict check.


This was the only problem I got, and it needs a better solution.


--
Paulo Roma Cavalcanti
LCG - UFRJ


--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 10-19-2008, 01:32 AM
"Paulo Cavalcanti"
 
Default yafray "renamed" to yafaray - pick it ?

On Fri, Oct 17, 2008 at 10:56 PM, Paulo Cavalcanti <promac@gmail.com> wrote:



On Fri, Oct 17, 2008 at 12:22 PM, Jon Ciesla <limb@jcomserv.net> wrote:




>

>> On Mon, Oct 13, 2008 at 2:48 PM, KH KH <kwizart@gmail.com> wrote:

>>

>>> 2008/10/13 Jon Ciesla <limb@jcomserv.net>:

>>> >

>>> >> Hi!

>>> >>

>>> >> As announced at http://www.yafray.org, yafaray replaces YafRay

>>> 0.0.9.

>>> >> Thus I'm thinking of submitting yafray as dead.package in Rawhide.

>>> (1)

>>> >>

>>> >> On the other side, I'm not going to work on yafaray soon. So, if

>>> anyone

>>> >> wants to start working on it, feel free.

>>> >>

>>> >> Nicolas (kwizart)

>>> >>

>>> >>

>>> >> (1), There is no reason why yafray should stop working with the

>>> current

>>> >> blender releases. But there might be a problem when theses two are

>>> >> installed together. (until now, blender either dlopen library or

>>> call

>>> >> binary, from yafray).

>>> >> This has to be discussed in the yafaray review. So, please cc'ed me

>>> on

>>> >> the review, along with your favorite reviewer. (or ask me as a

>>> reviewer).

>>> >

>>> > I may just do that. *One thing though, am I blind or is there nor

>>> yafaray

>>> > tarball, and I'll have to work from a svn checkout? *(bleah)

>>> Yes, that's right.

>>> I think it will be appropriate to use a script to create one source

>>> tarball.

>>> Good luck !

>>>

>>>

>> I can give you an .src.rpm that builds fine for F8, including the QT

>> interface.

>>

>> http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc8.src.rpm

>

> Thanks, I'll have a look, and see if I can rip-of^H^H^H^H^H^Hborrow from

> this to solve some of the issues I've run into so far.



Hmm, on F-9:



scons: done building targets.

+ sed -i -es,/var/tmp/yafaray-0.1.0-buildroot,,g

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafaraycore.so

+ /usr/lib/rpm/find-debuginfo.sh /home/limb/rpmbuild/BUILD/yafaray

extracting debug info from

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafarayqt.so

extracting debug info from

/var/tmp/yafaray-0.1.0-buildroot/usr/lib/libyafaraycore.so

Failed to write file: invalid section alignment

error: Bad exit status from /var/tmp/rpm-tmp.80705 (%install)





The problem is that* check-buildroot is
accusing* "%{buildroot}"* in libyafaraycore.so

I just erased the reference to %{buildroot} from the library to

be able to get an rpm. F9 seems to have a more strict check.


This was the only problem I got, and it needs a better solution.




Well, I fixed it:

http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc9.src.rpm


It builds just fine in F9 now.

I hope it can help you.
--
Paulo Roma Cavalcanti
LCG - UFRJ


--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 10-19-2008, 12:19 PM
"KH KH"
 
Default yafray "renamed" to yafaray - pick it ?

2008/10/19 Paulo Cavalcanti <promac@gmail.com>:

>
> Well, I fixed it:
>
> http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc9.src.rpm
>
> It builds just fine in F9 now.
>
> I hope it can help you.
Hi Paulo!

I think this package should follow the usual package review process now.
It would be fine to close this topic, here on the mailing list, with
the bugzilla review request;
then, anyone can follow the conversation on the review.
But I think yafray and yafaray should co-exist for now.

Now, you will need to get sponsored for the package to be.
In the yafaray case, I would like to review it , as there is some
improvements required.
But your spec should be a good start.

Nicolas (kwizart)

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 10-19-2008, 01:59 PM
"Paulo Cavalcanti"
 
Default yafray "renamed" to yafaray - pick it ?

On Sun, Oct 19, 2008 at 10:19 AM, KH KH <kwizart@gmail.com> wrote:

2008/10/19 Paulo Cavalcanti <promac@gmail.com>:



>

> Well, I fixed it:

>

> http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc9.src.rpm

>

> It builds just fine in F9 now.

>

> I hope it can help you.

Hi Paulo!



I think this package should follow the usual package review process now.

It would be fine to close this topic, here on the mailing list, with

the bugzilla review request;

then, anyone can follow the conversation on the review.

But I think yafray and yafaray should co-exist for now.



Now, you will need to get sponsored for the package to be.

In the yafaray case, I would like to review it , as there is some

improvements required.

But your spec should be a good start.



Hi,

in fact, according to my tests, yafray and yafaray can coexist. They use different Blender menus.

However, yafaray needs to be integrated into blender. To accomplish this, there is a new rpm,

yafaray-blender, that copies the appropriate scripts and libraries to /usr/share/blender/scripts.

http://www.yafray.org/forum/viewtopic.php?t=1701


This additional rpm is created automatically within the new yafaray .src.rpm:

http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-4.fc8.src.rpm


This new .src.rpm builds fine with mock for F8 and F9.

It would be really nice to have yafaray in Fedora, maybe for F10, since Ubuntu already has it:

http://www.yafray.org/index.php?s=2


If you can review the package it will be good, but I think we need some blender users to make
a thorough evaluation.
Thanks.

--
Paulo Roma Cavalcanti
LCG - UFRJ


--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 10-20-2008, 01:26 PM
"Jon Ciesla"
 
Default yafray "renamed" to yafaray - pick it ?

> On Sun, Oct 19, 2008 at 10:19 AM, KH KH <kwizart@gmail.com> wrote:
>
>> 2008/10/19 Paulo Cavalcanti <promac@gmail.com>:
>>
>> >
>> > Well, I fixed it:
>> >
>> > http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-3.fc9.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/yafaray-0.1.0-3.fc9.src.rpm>
>> >
>> > It builds just fine in F9 now.
>> >
>> > I hope it can help you.
>> Hi Paulo!
>>
>> I think this package should follow the usual package review process now.
>> It would be fine to close this topic, here on the mailing list, with
>> the bugzilla review request;
>> then, anyone can follow the conversation on the review.
>> But I think yafray and yafaray should co-exist for now.
>>
>> Now, you will need to get sponsored for the package to be.
>> In the yafaray case, I would like to review it , as there is some
>> improvements required.
>> But your spec should be a good start.
>>
>>
> Hi,
>
> in fact, according to my tests, yafray and yafaray can coexist. They use
> different Blender menus.
>
> However, yafaray needs to be integrated into blender. To accomplish this,
> there is a new rpm,
> yafaray-blender, that copies the appropriate scripts and libraries to
> /usr/share/blender/scripts.
>
> http://www.yafray.org/forum/viewtopic.php?t=1701
>
> This additional rpm is created automatically within the new yafaray
> .src.rpm:
>
> http://people.atrpms.net/~pcavalcanti/srpms/yafaray-0.1.0-4.fc8.src.rpm
>
> This new .src.rpm builds fine with mock for F8 and F9.
>
> It would be really nice to have yafaray in Fedora, maybe for F10, since
> Ubuntu already has it:
>
> http://www.yafray.org/index.php?s=2
>
> If you can review the package it will be good, but I think we need some
> blender users to make
> a thorough evaluation.

Nicolas, I will be happy to assist with the review, and sponsor Paulo once
the requisite bits are done. Paulo, please make sure to CC Nicolas and
myself on the review request bug.

> Thanks.
>
> --
> Paulo Roma Cavalcanti
> LCG - UFRJ
> --
> fedora-devel-list mailing list
> fedora-devel-list@redhat.com
> https://www.redhat.com/mailman/listinfo/fedora-devel-list


--
novus ordo absurdum

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 

Thread Tools




All times are GMT. The time now is 10:27 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org